<?php

/**
 * @file
 * Functions for the 'node_search' link type for use with the Autolink module.
 */

/**
 * Callback function for building the node search link form.
 */
function autolink_ui_node_search_method($edit) {
  $form['argument'] = array(
    '#type' => 'textfield',
    '#title' => t('Search terms'),
    '#required' => TRUE,
    '#default_value' => isset($edit['query']) ? $edit['query'] : '',
    '#description' => t('The search terms whose results users should be directed upon clicking the link.'),
  );

  return $form;
}

/**
 * Implements hook_autolink_LINK_TYPE_alter().
 *
 * Converts the link path to be saved to a search results page. Form data is used to
 * create a proper link path linking to the results page.
 *
 * @param $link
 *   An associative array of link form data.
 * @param $method
 *   The selection method used to create the link.
 */
function autolink_ui_autolink_node_search_alter(&$link, $method) {
  $link['link_path'] = 'search/node';
  $link['query'] = $link['argument'];
}
